Holger's Java API

## com.antelmann.util
Interface Enabled

All Known Subinterfaces:
  AddressInfo, Contact, Person, User

All Known Implementing Classes:
  AddressInfoImpl, Alert, ContactImpl, GPerson, GUser, JMultipleSelectionComboBox, Logger, MessageDelegator, Monitor, MonitorDelegate, NetConnectionServer, PersonImpl, SecureUserImpl, Spider.SMonitor, UserImpl

    public interface Enabled

specifies methods that allow to determine and alter the status of an object in regards to it being enabled or not

Since:
  21.04.2010, 13:25:58
Author:
  Holger Antelmann

Field Summary
`static Filter<Enabled>` `FILTER`

Method Summary
`boolean` `isEnabled()` determines whether this object is currently enabled
`void` `setEnabled(boolean flag)` allows to enable/disable this instance

Field Detail

### FILTER

    static final Filter<Enabled> FILTER

Method Detail

### isEnabled

    boolean isEnabled()

  determines whether this object is currently enabled

### setEnabled

    void setEnabled(boolean flag)
                    throws UnsupportedOperationException

  allows to enable/disable this instance

  Throws:
    `UnsupportedOperationException` - if this operation is not allowed on the given instance

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads